<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="padre-a">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <h2>Hello [[prop1]]!</h2>
  </template>

  <script>
    /**
     * `padre-a`
     * Padre A
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class PadreA extends Polymer.Element {
      static get is() { return 'padre-a'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'padre-a'
          }
        };
      }
    }

    window.customElements.define(PadreA.is, PadreA);
  </script>
</dom-module>
